<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:focusable="true"
    android:focusableInTouchMode="true"
    tools:context="ch.pizzalink.android.activity.UpdateProfileActivity">

    <ch.pizzalink.android.view.PizzalinkToolbar
        android:id="@+id/updateProfileToolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:title="@string/activity_title_update_profile"
        android:background="@color/white"
        app:showBackIcon="true"
        app:titleTextColor="@color/navy" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/updateProfileToolbar">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop"
            android:src="@drawable/background_wood" />

        <android.support.v7.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            app:cardCornerRadius="4dp"
            android:layout_margin="12dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:layout_above="@+id/updateProfileButton">

                    <ch.pizzalink.android.view.PizzalinkEditText
                        android:id="@+id/firstnamePizzalinkEditText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:edittextTheme="navy"
                        app:inputType="name"
                        app:hint="@string/firstname"/>

                    <ch.pizzalink.android.view.PizzalinkEditText
                        android:id="@+id/lasstnamePizzalinkEditText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:edittextTheme="navy"
                        app:inputType="name"
                        app:hint="@string/lastname"/>

                    <ch.pizzalink.android.view.PizzalinkEditText
                        android:id="@+id/telephonePizzalinkEditText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:edittextTheme="navy"
                        app:hint="@string/telephone"
                        app:inputType="phone"/>

                    <ch.pizzalink.android.view.PizzalinkEditText
                        android:id="@+id/emailPizzalinkEditText"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:edittextTheme="navy"
                        app:hint="@string/email"
                        app:inputType="email"/>

                </LinearLayout>

                <Button
                    android:id="@+id/updateProfileButton"
                    android:layout_width="match_parent"
                    android:layout_height="48dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    style="@style/PizzalinkRedButton"
                    android:text="@string/update_app"
                    android:layout_alignParentBottom="true" />

            </RelativeLayout>

        </android.support.v7.widget.CardView>

    </RelativeLayout>

</RelativeLayout>
